Update Payout Destination
curl --request PATCH \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"is_default": true
}
'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id}"
payload = { "is_default": True }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_default: true})
};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payout Destinations
Update Payout Destination
Update payout destination settings
PATCH
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payout-destinations
/
{destination_id}
Update Payout Destination
Path Parameters
string
required
The account’s external ID (starts with
acct_)string
required
The beneficiary’s external ID (starts with
bene_)string
required
The payout destination’s external ID (starts with
dest_)Request Body
boolean
Set as default destination for this beneficiary
Response
Returns the updated payout destination object with same structure as Create Payout Destination response.Response Example
{
"id": "dest_1234567890abcdef",
"object": "payout_destination",
"beneficiary_id": "bene_9gt1ummgx127biovlurm9mq2",
"country": "US",
"payout_method": "ach",
"type": "bank_account",
"label": null,
"currency": "USD",
"network": null,
"status": "active",
"account_number_last4": "7890",
"routing_number": "021000021",
"account_type": "checking",
"is_default": true,
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-16T10:00:00Z"
}
⌘I